Loading...
Searching...
No Matches
dynvector.hh File Reference
Common » Dense Matrix and Vector Template Library

This file implements a dense vector with a dynamic size. More...

`#include <cmath>`
`#include <cstddef>`
`#include <cstdlib>`
`#include <complex>`
`#include <cstring>`
`#include <initializer_list>`
`#include <limits>`
`#include <utility>`
`#include "boundschecking.hh"`
`#include "exceptions.hh"`
`#include "genericiterator.hh"`
`#include <vector>`
`#include "densevector.hh"`

Go to the source code of this file.

## Classes

struct | Dune::DenseMatVecTraits< DynamicVector< K, Allocator > >
struct | Dune::FieldTraits< DynamicVector< K, Allocator > >
class | Dune::DynamicVector< K, Allocator >
| Construct a vector with a dynamic size. More...

## Namespaces

namespace | Dune
| Dune namespace

## Detailed Description

This file implements a dense vector with a dynamic size.